## tralics 2.14.4

=== src/Makefile ===
OBJECTS=  txtoken1.o txtoken2.o tralics.o txparser.o  txparser2.o txparser3.o\
  txmath.o txmath1.o txmathboot.o  txbuffer.o txtoken.o txmlio.o\
  txstack.o txtranslate.o  txmain.o txfp.o txfonts.o txscan.o txio.o\
  txtrees.o  txtitlepage.o txcommands.o txarray.o  txatt.o txaccent.o\
  txpost.o txerr.o txaux.o txbib.o readline.o txclasses.o\
  txra.o txconfig.o

INCLUDES=tralics.h txinline.h  txparser.h  txvars.h txstring.h \
   txstack.h txfonts.h  txlogger.h  txtoken.h  txbuffer.h txparam.h \
   tximage.h txscaled.h txid.h txeqtb.h txfp.h txio.h txstats.h  \
   txcond.h txatt.h txhash.h txxml.h txtokenlist.h txconst.h \
   txchars.h txcmd.h 

RAOPT=
TRALICSDIR=/usr/lib/tralics
CONFDIR=../confdir
#RAOPT=-DTRALICSDIR=\"$(TRALICSDIR)\" -DCONFDIR=\"$(CONFDIR)\"


CC=g++
CCC=g++
CXX=g++

CPPFLAGS=-O2 -Wall
#CPPFLAGS= -g -Wall 


tralics: $(OBJECTS)
	$(CXX) -o tralics $(OBJECTS)

tralics_static: $(OBJECTS)
	$(CXX) -o tralics_static -static $(OBJECTS)

lxp: $(OBJECTS)
	purify  -chain_length=10 -cache-dir=/u/medee/0/miaou/grimm/raweb/lx/TMP g++ -o lxp $(OBJECTS)

readline.o: readline.C
tralics.o : tralics.C $(INCLUDES)
txarray.o: txarray.C $(INCLUDES) txarray.h
txatt.o: txatt.C $(INCLUDES)
txaux.o: txaux.C $(INCLUDES)
txbib.o: txbib.C txbib.h $(INCLUDES)
txbuffer.o : txbuffer.C $(INCLUDES)
txcheck.o: txcheck.C $(INCLUDES) txcheck.h
txcommands.o: txcommands.C $(INCLUDES)
txerr.o: txerr.C $(INCLUDES)
txfonts.o: txfonts.C $(INCLUDES)
txfp.o: txfp.C $(INCLUDES)
txio.o: txio.C $(INCLUDES)
txmath.o: txmath.C  $(INCLUDES) txmath.h
txmath1.o: txmath1.C  $(INCLUDES) txmath.h txmath1.h
txmathboot.o: txmathboot.C $(INCLUDES) txmath.h
txparser.o: txparser.C $(INCLUDES)
txparser3.o: txparser3.C $(INCLUDES)
txparser2.o: txparser2.C $(INCLUDES) txclasses.h txparser2.h
txpost.o: txpost.C $(INCLUDES) txtrees.h txpost.h
txscan.o: txscan.C $(INCLUDES)
txstack.o: txstack.C $(INCLUDES)
txaccent.o: txaccent.C $(INCLUDES)
txtitlepage.o: txtitlepage.C $(INCLUDES) txtitlepage.h
txtoken.o : txtoken.C $(INCLUDES)
txtoken1.o : txtoken1.C $(INCLUDES)
txtoken2.o : txtoken2.C $(INCLUDES)
txconfig.o : txconfig.C $(INCLUDES)
txra.o : txra.C $(INCLUDES)
txtranslate.o: txtranslate.C $(INCLUDES)
txtrees.o: txtrees.C $(INCLUDES) txtrees.h
txclasses.o: txclasses.C $(INCLUDES) txclasses.h
txmlio.o: txmlio.C $(INCLUDES) txmlio.h
txmain.o: txmain.C $(INCLUDES)  txpath.h
	 $(CC) $(CPPFLAGS) -c $*.C $(RAOPT)

=== debian/changelog ===
tralics (2.14.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965847

 -- Thiago Marques Siqueira <thiagoms.15@gmail.com>  Mon, 14 Aug 2023 22:32:29 +0100

tralics (2.14.4-2) unstable; urgency=low

  * Fix FTBFS with gcc-4.7 (Closes: #667397)

 -- Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>  Wed, 04 Apr 2012 09:42:46 +0200

tralics (2.14.4-1) unstable; urgency=low

  * Update to upstream version 2.14.4

 -- Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>  Sat, 17 Dec 2011 15:43:26 +0100

tralics (2.14.3-2) unstable; urgency=low

  * New maintainer.
  * Initial release. (Closes: #593605: RFP: tralics -- a LaTeX to XML
    translator)

 -- Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>  Thu, 15 Sep 2011 12:13:59 +0100

tralics (2.14.3-1) unstable; urgency=low

  * Update to upstream version 2.14.3

 -- Julien Schueller <schueller@phimeca.com>  Thu, 07 Jul 2011 21:20:00 +0200

tralics (2.13.6-1) unstable; urgency=low

  * Update to upstream version 2.13.6

 -- Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>  Thu, 19 Aug 2010 21:20:00 +0200

tralics (2.11.6-1) unstable; urgency=low

  * Initial release - not official in any way
  * added install and clean targets to src/Makefile

 -- Ross J. Reedstrom <reedstrm@cnx.org>  Tue, 11 Mar 2008 15:55:20 -0500

=== debian/control ===
Source: tralics
Homepage: http://www-sop.inria.fr/miaou/tralics/
Section: tex
Priority: optional
Maintainer: Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.9.3

Package: tralics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LaTeX to XML translator
 A configurable tool that processes LaTeX source, generating parseable
 XML. The XML is based on semantics of the text and can be used to
 process the document and convert into other format.
 .
 From: http://www-sop.inria.fr/apics/tralics/

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and
# more. See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

ftp://ftp-sop.inria.fr/apics/tralics-src/tralics-src-(.*)\.tar\.gz
